libcoap 4.3.2rc2

Data Fields
coap_socket_t Struct Reference

`#include <coap_io_internal.h>`

## Data Fields
coap_fd_t | fd
coap_socket_flags_t | flags
| 1 or more of COAP_SOCKET* flag values More...
coap_session_t * | session
| Used to determine session owner. More...
coap_endpoint_t * | endpoint
| Used by the epoll logic for a listening endpoint. More...
coap_address_t | mcast_addr
| remote address and port (multicast track) More...
coap_layer_func_t | lfunc [COAP_LAYER_LAST]
| Layer functions to use. More...

## Detailed Description

Definition at line 34 of file coap_io_internal.h.

## Field Documentation

## ◆ endpoint

coap_endpoint_t* coap_socket_t::endpoint

Used by the epoll logic for a listening endpoint.

Definition at line 49 of file coap_io_internal.h.

## ◆ fd

coap_fd_t coap_socket_t::fd

Definition at line 41 of file coap_io_internal.h.

## ◆ flags

coap_socket_flags_t coap_socket_t::flags

1 or more of COAP_SOCKET* flag values

Definition at line 46 of file coap_io_internal.h.

## ◆ lfunc

coap_layer_func_t coap_socket_t::lfunc[COAP_LAYER_LAST]

Layer functions to use.

Definition at line 55 of file coap_io_internal.h.

## ◆ mcast_addr

coap_address_t coap_socket_t::mcast_addr

remote address and port (multicast track)

Definition at line 53 of file coap_io_internal.h.

## ◆ session

coap_session_t* coap_socket_t::session

Used to determine session owner.

Definition at line 47 of file coap_io_internal.h.

The documentation for this struct was generated from the following file:

- coap_io_internal.h